Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2226085 - perl-Glib: FTBFS in Fedora rawhide/f39: Failed test at t/g.t
Summary: perl-Glib: FTBFS in Fedora rawhide/f39: Failed test at t/g.t
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Glib
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F39FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-25 18:54 UTC by Fedora Release Engineering
Modified: 2023-08-02 15:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-02 15:10:39 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 18:55 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 18:55 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 18:55 UTC, Fedora Release Engineering
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME perl-glib issues 3 0 None opened 1.3293: test suite is failing with glib 2.77 2023-07-31 08:24:32 UTC

Description Fedora Release Engineering 2023-07-25 18:54:57 UTC
perl-Glib failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103651020


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix perl-Glib at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
perl-Glib will be orphaned. Before branching of Fedora 40,
perl-Glib will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 18:55:02 UTC
Created attachment 1978653 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2023-07-25 18:55:06 UTC
Created attachment 1978654 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 18:55:09 UTC
Created attachment 1978655 [details]
state.log

Comment 4 Petr Pisar 2023-07-31 08:21:41 UTC
#   Failed test at t/g.t line 99.
#          got: 'another comment
# '
#     expected: '#another comment
# #'
# Looks like you failed 1 test of 33.
t/g.t ...................... 
Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/33 subtests 

A difference between passing and failing build roots is at <https://koschei.fedoraproject.org/build/15856703>. An upgrade of glib2-devel from 2.76.4-1.fc39 to 2.77.0-2.fc39 is suspicious.

Comment 5 Tom "spot" Callaway 2023-08-02 15:10:39 UTC
Fixed in 1.3293-13, thanks Petr.


Note You need to log in before you can comment on or make changes to this bug.